Page MenuHomePhabricator

[wmf.3] Inspectors are cut off inside dialogs
Closed, ResolvedPublic1 Story Points

Description

Inspectors are cut off inside dialogs.

To reproduce:

  • Cite → Manual → Basic form
  • Press Ctrl+K to open link inspector

This is probably a regression from Ed's stuff related to T166217.

Event Timeline

matmarex created this task.May 10 2018, 9:30 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 10 2018, 9:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
matmarex triaged this task as Unbreak Now! priority.May 18 2018, 12:59 PM
matmarex edited projects, added VisualEditor (Current work); removed VisualEditor.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMay 18 2018, 12:59 PM

Change 433713 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor@master] Fix position of inspectors/context inside dialogs

https://gerrit.wikimedia.org/r/433713

Change 433713 abandoned by Bartosz Dziewoński:
Fix position of inspectors/context inside dialogs

Reason:
I talked to Ed, and instead of this, we should move the override from #getSurfaceConfig to #addSurface, so it only applies to the "main" surface of the Target rather than all of the surfaces (including those in TargetWidgets).

https://gerrit.wikimedia.org/r/433713

Change 433717 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Fix position of inspectors/context inside dialogs

https://gerrit.wikimedia.org/r/433717

Change 433718 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/Flow@master] Fix position of inspectors/context inside dialogs

https://gerrit.wikimedia.org/r/433718

Change 433717 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Fix position of inspectors/context inside dialogs

https://gerrit.wikimedia.org/r/433717

Change 433726 had a related patch set uploaded (by Jforrester; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.4] Fix position of inspectors/context inside dialogs

https://gerrit.wikimedia.org/r/433726

Change 433727 had a related patch set uploaded (by Jforrester; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.3] Fix position of inspectors/context inside dialogs

https://gerrit.wikimedia.org/r/433727

Change 433718 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Fix position of inspectors/context inside dialogs

https://gerrit.wikimedia.org/r/433718

Change 433727 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.3] Fix position of inspectors/context inside dialogs

https://gerrit.wikimedia.org/r/433727

Change 433731 had a related patch set uploaded (by Jforrester; owner: Bartosz Dziewoński):
[mediawiki/extensions/Flow@wmf/1.32.0-wmf.4] Fix position of inspectors/context inside dialogs

https://gerrit.wikimedia.org/r/433731

Change 433732 had a related patch set uploaded (by Jforrester; owner: Bartosz Dziewoński):
[mediawiki/extensions/Flow@wmf/1.32.0-wmf.3] Fix position of inspectors/context inside dialogs

https://gerrit.wikimedia.org/r/433732

Change 433726 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.4] Fix position of inspectors/context inside dialogs

https://gerrit.wikimedia.org/r/433726

StjnVMF set Security to Software security bug.May 18 2018, 5:19 PM
StjnVMF added a project: Security.
StjnVMF changed the visibility from "Public (No Login Required)" to "Custom Policy".
StjnVMF awarded a token.
StjnVMF added a subscriber: StjnVMF.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Now emergency deployed to wmf.3 and wmf.4; looks good in my testing.

matmarex changed the visibility from "Custom Policy" to "Public (No Login Required)".
Restricted Application added a project: Security. · View Herald TranscriptMay 18 2018, 5:38 PM

Change 433732 abandoned by Bartosz Dziewoński:
Fix position of inspectors/context inside dialogs

Reason:
I think we're not backporting this one, only VE.

https://gerrit.wikimedia.org/r/433732

Change 433731 abandoned by Bartosz Dziewoński:
Fix position of inspectors/context inside dialogs

Reason:
I think we're not backporting this one, only VE.

https://gerrit.wikimedia.org/r/433731

matmarex closed this task as Resolved.May 18 2018, 5:40 PM
matmarex claimed this task.
matmarex removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 18 2018, 5:40 PM
Vvjjkkii renamed this task from [wmf.3] Inspectors are cut off inside dialogs to e6caaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed matmarex as the assignee of this task.
Vvjjkkii lowered the priority of this task from Unbreak Now! to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from e6caaaaaaa to [wmf.3] Inspectors are cut off inside dialogs.Jul 2 2018, 1:10 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to matmarex.
CommunityTechBot raised the priority of this task from High to Unbreak Now!.
CommunityTechBot set the point value for this task to 1.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.